{% load l10n %}

{% for day, transps in days.items %}
    {% if forloop.first %}
    <div class="container app-totaux mt-2 mb-2">
        <div class="row">
            <div class="col-6 pe-0 text-end">Total km:</div>
            <div class="col-6">{{ sums.total_km|default_if_none:'0' }}</div>
        </div>
        <div class="row">
            <div class="col-6 pe-0 text-end">Total frais:</div>
            <div class="col-6">CHF {{ sums.total_frais|default_if_none:'0'|unlocalize }}</div>
        </div>
        <div class="row">
            <div class="col-6 pe-0 text-end">Total durées:</div>
            <div class="col-6">{{ sums.total_duree|default_if_none:'0'|strip_seconds }}</div>
        </div>
        <div class="row">
            <div class="col-6 pe-0 text-end">Total temps d’attente:</div>
            <div class="col-6">{{ sums.total_attente|default_if_none:'0'|strip_seconds }}</div>
        </div>
    </div>
    <div class="accordion">
    {% endif %}
    <div class="accordion-item">
        <h2 class="accordion-header">
            <button class="accordion-button ps-4 collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#d{{ day|date:'md' }}">
            {{ day }}
            </button>
        </h2>
        <div id="d{{ day|date:'md' }}" class="accordion-collapse collapse mt-2">
            {% for transp in transps %}
                {% include 'transport/app/transport-card.html' with show_rapport=True %}
            {% endfor %}
        </div>
    </div>
    {% if forloop.last %}</div>{% endif %}
{% endfor %}
